graphics/py-pycha - The NetBSD Packages Collection

Library for making charts with Python

Pycha is a very simple Python package for drawing charts using the great
`Cairo` library. Its goals are:

* Lightweight
* Simple to use
* Nice looking with default values
* Customization

It won't try to draw any possible chart on earth but draw the most common ones
nicely. There are some other options to look at like `pyCairoChart`.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

graphics/py-cairocffi lang/py-six devel/py-setuptools lang/python38 lang/python38

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpy27-pycha-0.8.1.tgz
NetBSD 8.0earmv7hfpy36-pycha-0.8.1.tgz
NetBSD 8.0earmv7hfpy37-pycha-0.8.1.tgz
NetBSD 8.0earmv7hfpy38-pycha-0.8.1.tgz
NetBSD 8.0earmv7hfpy39-pycha-0.8.1.tgz
NetBSD 8.0earmv7hfpy37-pycha-0.8.1.tgz
NetBSD 8.0earmv7hfpy27-pycha-0.8.1.tgz
NetBSD 8.0earmv7hfpy36-pycha-0.8.1.tgz
NetBSD 8.0earmv7hfpy37-pycha-0.8.1.tgz
NetBSD 8.0earmv7hfpy38-pycha-0.8.1.tgz
NetBSD 8.0earmv7hfpy39-pycha-0.8.1.tgz
NetBSD 8.0i386py27-pycha-0.8.1.tgz
NetBSD 8.0i386py36-pycha-0.8.1.tgz
NetBSD 8.0i386py37-pycha-0.8.1.tgz
NetBSD 8.0i386py38-pycha-0.8.1.tgz
NetBSD 8.0i386py27-pycha-0.8.1.tgz
NetBSD 8.0i386py36-pycha-0.8.1.tgz
NetBSD 8.0i386py37-pycha-0.8.1.tgz
NetBSD 8.0i386py38-pycha-0.8.1.tgz
NetBSD 8.0i386py39-pycha-0.8.1.tgz
NetBSD 8.0i386py27-pycha-0.8.1.tgz
NetBSD 8.0i386py36-pycha-0.8.1.tgz
NetBSD 8.0i386py37-pycha-0.8.1.tgz
NetBSD 8.0i386py38-pycha-0.8.1.tgz
NetBSD 8.0i386py39-pycha-0.8.1.tgz
NetBSD 8.0powerpcpy27-pycha-0.8.1.tgz
NetBSD 8.0powerpcpy36-pycha-0.8.1.tgz
NetBSD 8.0powerpcpy37-pycha-0.8.1.tgz
NetBSD 8.0powerpcpy38-pycha-0.8.1.tgz
NetBSD 8.0powerpcpy27-pycha-0.8.1.tgz
NetBSD 8.0powerpcpy36-pycha-0.8.1.tgz
NetBSD 8.0powerpcpy37-pycha-0.8.1.tgz
NetBSD 8.0powerpcpy38-pycha-0.8.1.tgz
NetBSD 8.0powerpcpy39-pycha-0.8.1.tgz
NetBSD 8.0powerpcpy27-pycha-0.8.1.tgz
NetBSD 8.0powerpcpy36-pycha-0.8.1.tgz
NetBSD 8.0powerpcpy37-pycha-0.8.1.tgz
NetBSD 8.0powerpcpy38-pycha-0.8.1.tgz
NetBSD 8.0powerpcpy39-pycha-0.8.1.tgz
NetBSD 8.0x86_64py27-pycha-0.8.1.tgz
NetBSD 8.0x86_64py36-pycha-0.8.1.tgz
NetBSD 8.0x86_64py37-pycha-0.8.1.tgz
NetBSD 8.0x86_64py38-pycha-0.8.1.tgz
NetBSD 8.0x86_64py27-pycha-0.8.1.tgz
NetBSD 8.0x86_64py36-pycha-0.8.1.tgz
NetBSD 8.0x86_64py37-pycha-0.8.1.tgz
NetBSD 8.0x86_64py38-pycha-0.8.1.tgz
NetBSD 8.0x86_64py39-pycha-0.8.1.tgz
NetBSD 9.0aarch64py27-pycha-0.8.1.tgz
NetBSD 9.0aarch64py36-pycha-0.8.1.tgz
NetBSD 9.0aarch64py37-pycha-0.8.1.tgz
NetBSD 9.0aarch64py38-pycha-0.8.1.tgz
NetBSD 9.0aarch64py39-pycha-0.8.1.tgz
NetBSD 9.0aarch64py27-pycha-0.8.1.tgz
NetBSD 9.0aarch64py36-pycha-0.8.1.tgz
NetBSD 9.0aarch64py37-pycha-0.8.1.tgz
NetBSD 9.0aarch64py38-pycha-0.8.1.tgz
NetBSD 9.0aarch64py27-pycha-0.8.1.tgz
NetBSD 9.0aarch64py36-pycha-0.8.1.tgz
NetBSD 9.0aarch64py37-pycha-0.8.1.tgz
NetBSD 9.0aarch64py38-pycha-0.8.1.tgz
NetBSD 9.0aarch64py39-pycha-0.8.1.tgz
NetBSD 9.0alphapy27-pycha-0.8.1.tgz
NetBSD 9.0alphapy36-pycha-0.8.1.tgz
NetBSD 9.0alphapy37-pycha-0.8.1.tgz
NetBSD 9.0alphapy38-pycha-0.8.1.tgz
NetBSD 9.0alphapy39-pycha-0.8.1.tgz
NetBSD 9.0alphapy27-pycha-0.8.1.tgz
NetBSD 9.0alphapy36-pycha-0.8.1.tgz
NetBSD 9.0alphapy37-pycha-0.8.1.tgz
NetBSD 9.0alphapy38-pycha-0.8.1.tgz
NetBSD 9.0alphapy27-pycha-0.8.1.tgz
NetBSD 9.0alphapy36-pycha-0.8.1.tgz
NetBSD 9.0alphapy37-pycha-0.8.1.tgz
NetBSD 9.0alphapy38-pycha-0.8.1.tgz
NetBSD 9.0alphapy39-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy27-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy36-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy37-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy38-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy39-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy27-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy36-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy37-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy38-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy27-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy36-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy37-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy38-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy39-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy27-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy36-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy37-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy38-pycha-0.8.1.tgz
NetBSD 9.0earmv6hfpy39-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy27-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy36-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy37-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy38-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy39-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy27-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy36-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy37-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy38-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy27-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy36-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy37-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy38-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy39-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy27-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy36-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy37-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy38-pycha-0.8.1.tgz
NetBSD 9.0earmv7hfpy39-pycha-0.8.1.tgz
NetBSD 9.0i386py27-pycha-0.8.1.tgz
NetBSD 9.0i386py36-pycha-0.8.1.tgz
NetBSD 9.0i386py37-pycha-0.8.1.tgz
NetBSD 9.0i386py38-pycha-0.8.1.tgz
NetBSD 9.0i386py27-pycha-0.8.1.tgz
NetBSD 9.0i386py36-pycha-0.8.1.tgz
NetBSD 9.0i386py37-pycha-0.8.1.tgz
NetBSD 9.0i386py38-pycha-0.8.1.tgz
NetBSD 9.0i386py39-pycha-0.8.1.tgz
NetBSD 9.0i386py27-pycha-0.8.1.tgz
NetBSD 9.0i386py36-pycha-0.8.1.tgz
NetBSD 9.0i386py37-pycha-0.8.1.tgz
NetBSD 9.0i386py38-pycha-0.8.1.tgz
NetBSD 9.0i386py39-pycha-0.8.1.tgz
NetBSD 9.0mips64ebpy27-pycha-0.8.1.tgz
NetBSD 9.0mips64ebpy36-pycha-0.8.1.tgz
NetBSD 9.0mips64ebpy37-pycha-0.8.1.tgz
NetBSD 9.0mips64ebpy38-pycha-0.8.1.tgz
NetBSD 9.0mips64ebpy39-pycha-0.8.1.tgz
NetBSD 9.0mips64ebpy27-pycha-0.8.1.tgz
NetBSD 9.0mips64ebpy36-pycha-0.8.1.tgz
NetBSD 9.0mips64ebpy37-pycha-0.8.1.tgz
NetBSD 9.0mips64ebpy38-pycha-0.8.1.tgz
NetBSD 9.0mips64ebpy27-pycha-0.8.1.tgz
NetBSD 9.0mips64ebpy36-pycha-0.8.1.tgz
NetBSD 9.0mips64ebpy37-pycha-0.8.1.tgz
NetBSD 9.0mips64ebpy38-pycha-0.8.1.tgz
NetBSD 9.0mips64ebpy39-pycha-0.8.1.tgz
NetBSD 9.0powerpcpy27-pycha-0.8.1.tgz
NetBSD 9.0powerpcpy36-pycha-0.8.1.tgz
NetBSD 9.0powerpcpy37-pycha-0.8.1.tgz
NetBSD 9.0powerpcpy38-pycha-0.8.1.tgz
NetBSD 9.0powerpcpy39-pycha-0.8.1.tgz
NetBSD 9.0powerpcpy27-pycha-0.8.1.tgz
NetBSD 9.0powerpcpy36-pycha-0.8.1.tgz
NetBSD 9.0powerpcpy37-pycha-0.8.1.tgz
NetBSD 9.0powerpcpy38-pycha-0.8.1.tgz
NetBSD 9.0sparc64py27-pycha-0.8.1.tgz
NetBSD 9.0sparc64py36-pycha-0.8.1.tgz
NetBSD 9.0sparc64py37-pycha-0.8.1.tgz
NetBSD 9.0sparc64py38-pycha-0.8.1.tgz
NetBSD 9.0sparc64py39-pycha-0.8.1.tgz
NetBSD 9.0sparc64py27-pycha-0.8.1.tgz
NetBSD 9.0sparc64py36-pycha-0.8.1.tgz
NetBSD 9.0sparc64py37-pycha-0.8.1.tgz
NetBSD 9.0sparc64py38-pycha-0.8.1.tgz
NetBSD 9.0sparc64py27-pycha-0.8.1.tgz
NetBSD 9.0sparc64py36-pycha-0.8.1.tgz
NetBSD 9.0sparc64py37-pycha-0.8.1.tgz
NetBSD 9.0sparc64py38-pycha-0.8.1.tgz
NetBSD 9.0sparc64py39-pycha-0.8.1.tgz
NetBSD 9.0x86_64py27-pycha-0.8.1.tgz
NetBSD 9.0x86_64py36-pycha-0.8.1.tgz
NetBSD 9.0x86_64py37-pycha-0.8.1.tgz
NetBSD 9.0x86_64py38-pycha-0.8.1.tgz
NetBSD 9.0x86_64py39-pycha-0.8.1.tgz
NetBSD 9.0x86_64py27-pycha-0.8.1.tgz
NetBSD 9.0x86_64py36-pycha-0.8.1.tgz
NetBSD 9.0x86_64py37-pycha-0.8.1.tgz
NetBSD 9.0x86_64py38-pycha-0.8.1.tgz
NetBSD 9.0x86_64py39-pycha-0.8.1.tgz
NetBSD 9.0x86_64py27-pycha-0.8.1.tgz
NetBSD 9.0x86_64py36-pycha-0.8.1.tgz
NetBSD 9.0x86_64py37-pycha-0.8.1.tgz
NetBSD 9.0x86_64py38-pycha-0.8.1.tgz
NetBSD 9.0x86_64py39-pycha-0.8.1.tgz
NetBSD 9.0x86_64py27-pycha-0.8.1.tgz
NetBSD 9.0x86_64py36-pycha-0.8.1.tgz
NetBSD 9.0x86_64py37-pycha-0.8.1.tgz
NetBSD 9.0x86_64py38-pycha-0.8.1.tgz
NetBSD 9.0x86_64py27-pycha-0.8.1.tgz
NetBSD 9.0x86_64py36-pycha-0.8.1.tgz
NetBSD 9.0x86_64py37-pycha-0.8.1.tgz
NetBSD 9.0x86_64py38-pycha-0.8.1.tgz
NetBSD 9.0x86_64py39-pycha-0.8.1.tgz
NetBSD 9.0x86_64py27-pycha-0.8.1.tgz
NetBSD 9.0x86_64py36-pycha-0.8.1.tgz
NetBSD 9.0x86_64py37-pycha-0.8.1.tgz
NetBSD 9.0x86_64py38-pycha-0.8.1.tgz
NetBSD 9.0x86_64py39-pycha-0.8.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.